# $Revision: 1.13 $, $Date: 2012/02/08 14:49:13 $
Summary:	PNG to ICO converter
Summary(pl.UTF-8):	Konwerter PNG do ICO
Name:		pngtoico
Version:	1.0.1
Release:	4
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://ftp.kernel.org/pub/software/graphics/pngtoico/%{name}-%{version}.tar.bz2
# Source0-md5:	991dfa42783f9b798051c04dccc7f36f
Patch0:		%{name}-libpng15.patch
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pngtoico is a small utility to convert a set of PNG images to
Microsoft ICO format. Transparency is supported.

%description -l pl.UTF-8
pngtoico to małe narzędzie do konwertowania zestawu obrazków PNG do
formatu Microsoft ICO. Obsługuje przezroczystość.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install pngtoico $RPM_BUILD_ROOT%{_bindir}
install pngtoico.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pngtoico
%{_mandir}/man1/pngtoico.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pngtoico.spec,v $
Revision 1.13  2012/02/08 14:49:13  adamg
- relase 4 (rebuild against libpng-1.5)

Revision 1.12  2011/12/20 19:43:13  arekm
- release 3

Revision 1.11  2011/01/29 00:07:11  sparky
- dropped pre-cvs changelog

Revision 1.10  2010/02/04 14:08:00  megabajt
- release 2

Revision 1.9  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.7  2006/03/11 11:02:46  megabajt
- updated to 1.0.1

Revision 1.6  2004/04/26 17:56:06  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.5  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:25:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/09/16 01:35:05  qboosh
- pl description, release 2

Revision 1.2  2002/09/07 06:17:25  kloczek
- rewrited.
